form_cursor(3X)

NAME
pos_form_cursor - position a form window cursor

SYNOPSIS
#include <form.h>

int pos_form_cursor(FORM *form);

DESCRIPTION
The function pos_form_cursor restores the cursor to the position required for the forms driver to continue processing requests. This is useful after curses routines have been called to do screen-painting in response to a form operation.

RETURN VALUE
This routine returns one of the following:

E_OK
    The routine succeeded.

E_BAD_ARGUMENT
    Routine detected an incorrect or out-of-range argument.

E_NOT_POSTED
    The form has not been posted.

E_SYSTEM_ERROR
    System error occurred (see errno(3)).

PORTABILITY
These routines emulate the System V forms library. They were not supported on Version 7 or BSD versions.

AUTHORS
Juergen Pfeifer. Manual pages and adaptation for new curses by Eric S. Raymond.

SEE ALSO
curses(3X), form(3X)